Capture & Monitoring

Endpoints related to capture & monitoring.

GET /ai-scada/instance-configuration/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Buffer station post processor must belong to the instance bureau. Invalid post_processor_type_family_custom_field_id in settings. Invalid configuration payload.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA configuration cannot be found.

POST /ai-scada/instance-configuration/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Buffer station post processor must belong to the instance bureau. Invalid post_processor_type_family_custom_field_id in settings. Invalid configuration payload.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA configuration cannot be found.

Response Headers:
  • Location – URI of the created resource

GET /ai-scada/instance-configuration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Buffer station post processor must belong to the instance bureau. Invalid post_processor_type_family_custom_field_id in settings. Invalid configuration payload.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA configuration cannot be found.

PUT /ai-scada/instance-configuration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Buffer station post processor must belong to the instance bureau. Invalid post_processor_type_family_custom_field_id in settings. Invalid configuration payload.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA configuration cannot be found.

GET /ai-scada/instance/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. An active instance already exists for this bureau. InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA instance cannot be found.

POST /ai-scada/instance/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. An active instance already exists for this bureau. InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA instance cannot be found.

Response Headers:
  • Location – URI of the created resource

GET /ai-scada/instance/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. An active instance already exists for this bureau. InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA instance cannot be found.

PUT /ai-scada/instance/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. An active instance already exists for this bureau. InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA instance cannot be found.

DELETE /ai-scada/instance/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. An active instance already exists for this bureau. InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested AI-SCADA instance cannot be found.

GET /ai-scada/tooling-stock/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Request or bureau feature state is invalid.

GET /capture-type/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
GET /capture-type/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /ai-scada/run/send-to-buffer-station/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. buffer-station-unconfigured: Buffer station is not configured for this bureau. buffer-station-wrong-bureau: Buffer station post processor does not belong to this bureau. Request body is invalid.

  • 403 Forbidden – Caller cannot access the run.

  • 404 Not Found – RecordNotFound: Run not found.

Response Headers:
  • Location – URI of the created resource

POST /ai-scada/piece/send-to-qa-station/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Request body is invalid.

  • 403 Forbidden – Caller cannot access every resolved piece or run in this batch (underlying platform checks).

  • 422 Unprocessable Entity – all-zf-piece-ids-unknown: None of the supplied ZF piece ids resolved to a piece in this bureau.

  • 413 Request Entity Too Large – batch-too-large: The request exceeded the maximum batch size.

Response Headers:
  • Location – URI of the created resource

GET /capture-content-parsed/{uuid}/

Get the parsed content of a capture by UUID

Get the parsed content of a capture by UUID

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /sensor-data/

Retrieve a list of sensor data points.

Retrieve a list of sensor data points.

Returns:

ResourceList: A list of sensor data points.

Raises:

sepiida.errors.InvalidPayload: If sensor data listing is not supported. sepiida.errors.RecordNotFound: If the specified sensor does not exist or is inaccessible.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

GET /sensor-data/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /ai-scada/transfer/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested AI-SCADA transfer record cannot be found.

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau.

GET /ai-scada/transfer/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested AI-SCADA transfer record cannot be found.

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau.

POST /ai-scada/piece/send-to-buffer-station/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. buffer-station-unconfigured: Buffer station is not configured for this bureau. buffer-station-wrong-bureau: Buffer station post processor does not belong to this bureau. Request body is invalid.

  • 403 Forbidden – Caller cannot access every resolved piece or run in this batch.

  • 422 Unprocessable Entity – all-zf-piece-ids-unknown: None of the supplied ZF piece ids resolved to a piece in this bureau.

  • 413 Request Entity Too Large – batch-too-large: The request exceeded the maximum batch size.

Response Headers:
  • Location – URI of the created resource

GET /capture/

Get a list of all captures available

Get a list of all captures available

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – RecordNotFound raised RecordNotFound raised

POST /capture/

Create a new capture

Create a new capture

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /capture/{uuid}/

Get a capture by URI

Get a capture by URI

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /capture-content/{uuid}/

Get the parsed content of a capture by UUID

Get the parsed content of a capture by UUID

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /monitored-resource/

List monitored-resource records for the caller’s bureau.

List monitored-resource records for the caller’s bureau.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /monitored-resource/

Create or update a monitored-resource record (upsert).

Create or update a monitored-resource record (upsert).

If a record already exists for the (target_type, target_uuid) pair, only enabled is toggled. Otherwise a new record is created for the caller’s bureau.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /monitored-resource/{uuid}/

Fetch a single monitored-resource record by UUID.

Fetch a single monitored-resource record by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /monitored-resource/{uuid}/

Toggle the ``enabled`` flag on a monitored-resource record.

Toggle the enabled flag on a monitored-resource record.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /sensor/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested sensor is already stored in the database The requested sensor is already attached to a sub-location The sensor with this serial number does not exist

POST /sensor/
Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested sensor is already stored in the database The requested sensor is already attached to a sub-location The sensor with this serial number does not exist

Response Headers:
  • Location – URI of the created resource

GET /sensor/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested sensor is already stored in the database The requested sensor is already attached to a sub-location The sensor with this serial number does not exist

PUT /sensor/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested sensor is already stored in the database The requested sensor is already attached to a sub-location The sensor with this serial number does not exist

DELETE /sensor/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – The requested sensor cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested sensor is already stored in the database The requested sensor is already attached to a sub-location The sensor with this serial number does not exist

POST /ai-scada/piece/remanufacture/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – feature-disabled: AI-SCADA integration is disabled for this bureau. Request body is invalid.

  • 403 Forbidden – Caller cannot access every resolved piece or run in this batch (underlying platform checks).

  • 422 Unprocessable Entity – all-zf-piece-ids-unknown: None of the supplied ZF piece ids resolved to a piece in this bureau.

  • 413 Request Entity Too Large – batch-too-large: The request exceeded the maximum batch size.

Response Headers:
  • Location – URI of the created resource

POST /ai-scada/piece-current-print/batch/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /downtime/

Get all downtime resources for your account.

Get all downtime resources for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested downtime cannot be found.

  • 400 Bad Request – The requested downtime name already exists.

  • 403 Forbidden – You are not authorized to complete the request.

POST /downtime/

Create a new downtime resource.

Create a new downtime resource.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /downtime/{uuid}/

Get an individual downtime resource by UUID.

Get an individual downtime resource by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /downtime/{uuid}/

Update a downtime resource.

Update a downtime resource.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /downtime/{uuid}/

Delete an individual downtime resource by UUID.

Delete an individual downtime resource by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: